package com.fjhx.mes.service;

import com.fjhx.mes.entity.production.dto.ProductionOrderDto;
import com.fjhx.mes.service.production.ProduceOrderService;
import com.fjhx.sale.service.SaleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

@Service
public class SaleServiceImpl implements SaleService {

    @Autowired
    private ProduceOrderService produceOrderService;

    /**
     * 直接生产
     */
    @Override
    public void directProd(Long contractId, Date deliveryPeriod, Long produceCompanyId) {
        //下发生产
        ProductionOrderDto produceOrderDto = new ProductionOrderDto();
        produceOrderDto.setContractId(contractId);
        produceOrderDto.setDeliveryPeriod(deliveryPeriod);
        produceOrderDto.setProduceCompanyId(produceCompanyId);
        produceOrderService.createOrder(produceOrderDto);

        //确认交期
        produceOrderDto.setConfirmStatus(1);
        produceOrderService.deliveryConfirm(produceOrderDto);
    }

}
